Part #:RFC250Q
Brass Rocker Lug Cap
- Female Thread:
- QST
- Material:
- Cast Brass
- Size:
- 2-1/2"
QST | Cast Brass | 2-1/2"
Contact us today to get the right products backed by knowledgeable service.
Showing 1–10 of 10 Results
Part #:RFC250Q
QST | Cast Brass | 2-1/2"
Part #:RFC075
Powhatan | NPSH | Cast Brass | 3/4"
Part #:RFC100
Powhatan | NPSH | Cast Brass | 1"
Part #:RFC100F
Powhatan | NST (NH) | Cast Brass | 1"
Part #:RFC150
Powhatan | NPSH | Cast Brass | 1-1/2"
Part #:RFC150F
Powhatan | NST (NH) | Cast Brass | 1-1/2"
Part #:RFC200
Powhatan | NPSH | Cast Brass | 2"
Part #:RFC250
Powhatan | NPSH | Cast Brass | 2-1/2"
Part #:RFC250F
Powhatan | NST (NH) | Cast Brass | 2-1/2"
Part #:RFC250F-C
Powhatan | NST (NH) | Cast Brass | 2-1/2"